/*
 * Copyright (c) 2011 ScientiaMobile, Inc., VA, USA
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core.handlers.matchers;

import java.util.SortedSet;

import net.sourceforge.wurfl.core.handlers.Handler;

/**
 * @author WURFL-PRO SRL, Rome, Italy
 * @version $Id: PortalmmmMatcher.java 1045 2009-03-09 15:52:53Z filippo.deluca $
 */
public class PortalmmmMatcher extends AbstractMatcher {

	public PortalmmmMatcher(Handler handler) {
		super(handler);
	}

	/**
	 * Do not applies anything, return always null. Portalmm only direct match.
	 */
	protected String lookForMatchingUserAgent(SortedSet userAgentsSet, String userAgent) {
		return null;
	}

}
